package sharin.doc.builder.xhtml1;

public class ObjectElem extends GenericCommonElem<ObjectElem> {

    public ObjectElem(Object... nodes) {
        super("object", nodes);
    }

    public ObjectElem align(Object value) {
        return attr("align", value);
    }

    public ObjectElem alignBottom() {
        return align("bottom");
    }

    public ObjectElem alignLeft() {
        return align("left");
    }

    public ObjectElem alignMiddle() {
        return align("middle");
    }

    public ObjectElem alignRight() {
        return align("right");
    }

    public ObjectElem alignTop() {
        return align("top");
    }

    public ObjectElem archive(Object value) {
        return attr("archive", value);
    }

    public ObjectElem border(Object value) {
        return attr("border", value);
    }

    public ObjectElem classid(Object value) {
        return attr("classid", value);
    }

    public ObjectElem codebase(Object value) {
        return attr("codebase", value);
    }

    public ObjectElem codetype(Object value) {
        return attr("codetype", value);
    }

    public ObjectElem data(Object value) {
        return attr("data", value);
    }

    public ObjectElem declare(boolean declare) {
        return declare ? declare("declare") : this;
    }

    public ObjectElem declare(Object value) {
        return attr("declare", value);
    }

    public ObjectElem height(Object value) {
        return attr("height", value);
    }

    public ObjectElem hspace(Object value) {
        return attr("hspace", value);
    }

    public ObjectElem name(Object value) {
        return attr("name", value);
    }

    public ObjectElem standby(Object value) {
        return attr("standby", value);
    }

    public ObjectElem tabindex(Object value) {
        return attr("tabindex", value);
    }

    public ObjectElem type(Object value) {
        return attr("type", value);
    }

    public ObjectElem usemap(Object value) {
        return attr("usemap", value);
    }

    public ObjectElem vspace(Object value) {
        return attr("vspace", value);
    }

    public ObjectElem width(Object value) {
        return attr("width", value);
    }
}
